Package net.sf.saxon.event

## Class OutputterEvent.Append

- java.lang.Object
- - net.sf.saxon.event.OutputterEvent
  - - net.sf.saxon.event.OutputterEvent.Append

- Enclosing class:
    OutputterEvent

      public static class OutputterEvent.Append
      extends OutputterEvent

  Event representing an arbitrary item being sent to the event stream in composed form. Perhaps an atomic value, perhaps an entire element or document in composed form.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.event.OutputterEvent

      `OutputterEvent.Append, OutputterEvent.Attribute, OutputterEvent.Comment, OutputterEvent.EndDocument, OutputterEvent.EndElement, OutputterEvent.Namespace, OutputterEvent.ProcessingInstruction, OutputterEvent.StartContent, OutputterEvent.StartDocument, OutputterEvent.StartElement, OutputterEvent.Text`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Append​(Item item, Location location, int properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `replay​(Outputter out)` | Send the event to a receiver

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Append

          public Append​(Item item,
                        Location location,
                        int properties)

  - ### Method Detail

    - #### replay

          public void replay​(Outputter out)
                      throws XPathException

      Description copied from class: `OutputterEvent`
      Send the event to a receiver
      Overrides:
        `replay` in class `OutputterEvent`
      Parameters:
        `out` - the receiver to which the event is to be sent
      Throws:
        `XPathException` - the the receiver reports an error